Index: data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel
===================================================================
--- data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11119)
+++ data/branches/cegui0.8/gui/looknfeels/WindowsLook.looknfeel	(revision 11120)
@@ -892,56 +943,49 @@
                 </Dim>
                 <Dim type="Height">
-                    <FontDim widget="__auto_titlebar__" type="LineSpacing">
-                        <DimOperator op="Multiply">
-                            <AbsoluteDim value="1.5" />
-                        </DimOperator>
-                    </FontDim>
+                    <OperatorDim op="Multiply">
+                        <FontDim type="LineSpacing" widget="__auto_titlebar__" />
+                        <AbsoluteDim value="1.5" />
+                    </OperatorDim>
                 </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="False" />
         </Child>
-        <Child type="WindowsLook/SystemButton" nameSuffix="__auto_closebutton__">
-            <Area>
-                <Dim type="LeftEdge">
-                    <UnifiedDim scale="1" type="LeftEdge">
-                        <DimOperator op="Subtract">
-                            <AbsoluteDim value="0.5">
-                                <DimOperator op="Multiply">
-                                    <ImageDim imageset="WindowsLook" image="CloseButtonNormal" dimension="Width">
-                                        <DimOperator op="Add">
-                                            <WidgetDim widget="__auto_titlebar__" dimension="Height" />
-                                        </DimOperator>
-                                    </ImageDim>
-                                </DimOperator>
-                            </AbsoluteDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="TopEdge">
-                    <WidgetDim widget="__auto_titlebar__" dimension="Height">
-                        <DimOperator op="Subtract">
-                            <AbsoluteDim value="0.5">
-                                <DimOperator op="Multiply">
-                                    <WidgetDim widget="__auto_titlebar__" dimension="Height">
-                                        <DimOperator op="Add">
-                                            <ImageDim imageset="WindowsLook" image="CloseButtonNormal" dimension="Height" />
-                                        </DimOperator>
-                                    </WidgetDim>
-                                </DimOperator>
-                            </AbsoluteDim>
-                        </DimOperator>
-                    </WidgetDim>
+        <Child nameSuffix="__auto_closebutton__" type="WindowsLook/SystemButton">
+            <Area>
+                <Dim type="LeftEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="LeftEdge" />
+                        <OperatorDim op="Multiply">
+                            <AbsoluteDim value="0.5" />
+                            <OperatorDim op="Add">
+                                <ImageDim dimension="Width" name="WindowsLook/CloseButtonNormal" />
+                                <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="TopEdge">
+                    <OperatorDim op="Subtract">
+                        <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                        <OperatorDim op="Multiply">
+                            <AbsoluteDim value="0.5" />
+                            <OperatorDim op="Add">
+                                <WidgetDim dimension="Height" widget="__auto_titlebar__" />
+                                <ImageDim dimension="Height" name="WindowsLook/CloseButtonNormal" />
+                            </OperatorDim>
+                        </OperatorDim>
+                    </OperatorDim>
                 </Dim>
                 <Dim type="Width">
-                    <ImageDim imageset="WindowsLook" image="CloseButtonNormal" dimension="Width" />
+                    <ImageDim dimension="Width" name="WindowsLook/CloseButtonNormal" />
                 </Dim>
                 <Dim type="Height">
-                    <ImageDim imageset="WindowsLook" image="CloseButtonNormal" dimension="Height" />
+                    <ImageDim dimension="Height" name="WindowsLook/CloseButtonNormal" />
                 </Dim>
             </Area>
             <Property name="AlwaysOnTop" value="True" />
-            <Property name="NormalImage" value="set:WindowsLook image:CloseButtonNormal" />
-            <Property name="HoverImage" value="set:WindowsLook image:CloseButtonHover" />
-            <Property name="PushedImage" value="set:WindowsLook image:CloseButtonPushed" />
+            <Property name="NormalImage" value="WindowsLook/CloseButtonNormal" />
+            <Property name="HoverImage" value="WindowsLook/CloseButtonHover" />
+            <Property name="PushedImage" value="WindowsLook/CloseButtonPushed" />
         </Child>
         <ImagerySection name="withtitle_frame">
@@ -952,5 +996,5 @@
                     </Dim>
                     <Dim type="TopEdge">
-                        <WidgetDim widget="__auto_titlebar__" dimension="Height" />
+                        <WidgetDim dimension="Height" widget="__auto_titlebar__" />
                     </Dim>
                     <Dim type="RightEdge">
@@ -961,9 +1005,9 @@
                     </Dim>
                 </Area>
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="WindowFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="WindowFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="WindowFrameLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="WindowFrameRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="WindowFrameBottom" />
+                <Image component="BottomLeftCorner" name="WindowsLook/WindowFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/WindowFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/WindowFrameLeft" />
+                <Image component="RightEdge" name="WindowsLook/WindowFrameRight" />
+                <Image component="BottomEdge" name="WindowsLook/WindowFrameBottom" />
             </FrameComponent>
         </ImagerySection>
@@ -984,40 +1028,38 @@
                     </Dim>
                 </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="WindowFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="WindowFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="WindowFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="WindowFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="WindowFrameLeft" />
-                <Image type="TopEdge" imageset="WindowsLook" image="WindowFrameTop" />
-                <Image type="RightEdge" imageset="WindowsLook" image="WindowFrameRight" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="WindowFrameBottom" />
+                <Image component="TopLeftCorner" name="WindowsLook/WindowFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/WindowFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/WindowFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/WindowFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/WindowFrameLeft" />
+                <Image component="TopEdge" name="WindowsLook/WindowFrameTop" />
+                <Image component="RightEdge" name="WindowsLook/WindowFrameRight" />
+                <Image component="BottomEdge" name="WindowsLook/WindowFrameBottom" />
             </FrameComponent>
         </ImagerySection>
         <ImagerySection name="withtitle_withframe_client_area">
-            <Colours topLeft="FFDFDFF5" topRight="FFDFEFF5" bottomLeft="FFF4F3F5" bottomRight="FFF0F0F5" />
+            <Colours bottomLeft="FFF4F3F5" bottomRight="FFF0F0F5" topLeft="FFDFDFF5" topRight="FFDFEFF5" />
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="WindowFrameLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <WidgetDim widget="__auto_titlebar__" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/WindowFrameLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <WidgetDim dimension="Height" widget="__auto_titlebar__" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="WindowFrameRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="WindowFrameBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/WindowFrameRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/WindowFrameBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1025,29 +1067,27 @@
         </ImagerySection>
         <ImagerySection name="notitle_withframe_client_area">
-            <Colours topLeft="FFDFDFF5" topRight="FFDFEFF5" bottomLeft="FFF4F3F5" bottomRight="FFF0F0F5" />
+            <Colours bottomLeft="FFF4F3F5" bottomRight="FFF0F0F5" topLeft="FFDFDFF5" topRight="FFDFEFF5" />
             <ImageryComponent>
                 <Area>
                     <Dim type="LeftEdge">
-                        <ImageDim imageset="WindowsLook" image="WindowFrameLeft" dimension="Width" />
-                    </Dim>
-                    <Dim type="TopEdge">
-                        <ImageDim imageset="WindowsLook" image="WindowFrameTop" dimension="Height" />
+                        <ImageDim dimension="Width" name="WindowsLook/WindowFrameLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="WindowsLook/WindowFrameTop" />
                     </Dim>
                     <Dim type="RightEdge">
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="WindowFrameRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge">
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="WindowsLook" image="WindowFrameBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="WindowsLook/WindowFrameRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="WindowsLook/WindowFrameBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1055,5 +1095,5 @@
         </ImagerySection>
         <ImagerySection name="withtitle_noframe_client_area">
-            <Colours topLeft="FFDFDFF5" topRight="FFDFEFF5" bottomLeft="FFF4F3F5" bottomRight="FFF0F0F5" />
+            <Colours bottomLeft="FFF4F3F5" bottomRight="FFF0F0F5" topLeft="FFDFDFF5" topRight="FFDFEFF5" />
             <ImageryComponent>
                 <Area>
@@ -1062,5 +1102,5 @@
                     </Dim>
                     <Dim type="TopEdge">
-                        <WidgetDim widget="__auto_titlebar__" dimension="Height" />
+                        <WidgetDim dimension="Height" widget="__auto_titlebar__" />
                     </Dim>
                     <Dim type="RightEdge">
@@ -1071,5 +1111,5 @@
                     </Dim>
                 </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1077,5 +1117,5 @@
         </ImagerySection>
         <ImagerySection name="notitle_noframe_client_area">
-            <Colours topLeft="FFDFDFF5" topRight="FFDFEFF5" bottomLeft="FFF4F3F5" bottomRight="FFF0F0F5" />
+            <Colours bottomLeft="FFF4F3F5" bottomRight="FFF0F0F5" topLeft="FFDFDFF5" topRight="FFDFEFF5" />
             <ImageryComponent>
                 <Area>
@@ -1093,5 +1133,5 @@
                     </Dim>
                 </Area>
-                <Image imageset="WindowsLook" image="Background" />
+                <Image name="WindowsLook/Background" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1101,5 +1141,5 @@
             <Layer>
                 <Section section="withtitle_frame">
-                    <Colours topLeft="FFA7C7FF" topRight="FFA7C7FF" bottomLeft="FFA7C7FF" bottomRight="FFA7C7FF" />
+                    <Colours bottomLeft="FFA7C7FF" bottomRight="FFA7C7FF" topLeft="FFA7C7FF" topRight="FFA7C7FF" />
                 </Section>
                 <Section section="withtitle_withframe_client_area" />
@@ -1109,5 +1149,5 @@
             <Layer>
                 <Section section="withtitle_frame">
-                    <Colours topLeft="FFEFEFEF" topRight="FFEFEFEF" bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" />
+                    <Colours bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" topLeft="FFEFEFEF" topRight="FFEFEFEF" />
                 </Section>
                 <Section section="withtitle_withframe_client_area" />
@@ -1117,5 +1157,5 @@
             <Layer>
                 <Section section="withtitle_frame">
-                    <Colours topLeft="FFEFEFEF" topRight="FFEFEFEF" bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" />
+                    <Colours bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" topLeft="FFEFEFEF" topRight="FFEFEFEF" />
                 </Section>
                 <Section section="withtitle_withframe_client_area" />
@@ -1140,5 +1180,5 @@
             <Layer>
                 <Section section="notitle_frame">
-                    <Colours topLeft="FFA7C7FF" topRight="FFA7C7FF" bottomLeft="FFA7C7FF" bottomRight="FFA7C7FF" />
+                    <Colours bottomLeft="FFA7C7FF" bottomRight="FFA7C7FF" topLeft="FFA7C7FF" topRight="FFA7C7FF" />
                 </Section>
                 <Section section="notitle_withframe_client_area" />
@@ -1148,5 +1188,5 @@
             <Layer>
                 <Section section="notitle_frame">
-                    <Colours topLeft="FFEFEFEF" topRight="FFEFEFEF" bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" />
+                    <Colours bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" topLeft="FFEFEFEF" topRight="FFEFEFEF" />
                 </Section>
                 <Section section="notitle_withframe_client_area" />
@@ -1156,5 +1196,5 @@
             <Layer>
                 <Section section="notitle_frame">
-                    <Colours topLeft="FFEFEFEF" topRight="FFEFEFEF" bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" />
+                    <Colours bottomLeft="FFEFEFEF" bottomRight="FFEFEFEF" topLeft="FFEFEFEF" topRight="FFEFEFEF" />
                 </Section>
                 <Section section="notitle_withframe_client_area" />
@@ -1177,22 +1217,23 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/IconButton
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/IconButton">
         <PropertyDefinition name="IconImage" redrawOnWrite="true" />
-        <PropertyDefinition name="IconColours" initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" redrawOnWrite="true" />
+        <PropertyDefinition initialValue="tl:FFFFFFFF tr:FFFFFFFF bl:FFFFFFFF br:FFFFFFFF" name="IconColours" redrawOnWrite="true" />
         <Property name="WantsMultiClickEvents" value="False" />
         <ImagerySection name="icon">
             <ImageryComponent>
                 <Area>
-                    <Dim type="TopEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge"><UnifiedDim scale="1" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge"><UnifiedDim scale="1" type="BottomEdge" /></Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                    </Dim>
                 </Area>
                 <ImageProperty name="IconImage" />
@@ -1223,5 +1264,5 @@
             <Layer>
                 <Section look="WindowsLook/Button" section="disabled">
-                    <Colours topLeft="FFDFDFDF" topRight="FFDFDFDF" bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" />
+                    <Colours bottomLeft="FFDFDFDF" bottomRight="FFDFDFDF" topLeft="FFDFDFDF" topRight="FFDFDFDF" />
                 </Section>
                 <Section section="icon" />
@@ -1229,29 +1270,24 @@
         </StateImagery>
     </WidgetLook>
-
-
-    <!--
-    ***************************************************
-        WindowsLook/Listbox
-    ***************************************************
-    -->
     <WidgetLook name="WindowsLook/Listbox">
         <NamedArea name="ItemRenderingArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1259,15 +1295,18 @@
         <NamedArea name="ItemRenderingAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="WindowsLook/StaticFrameRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
@@ -1275,15 +1314,18 @@
         <NamedArea name="ItemRenderingAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="WindowsLook" image="StaticFrameBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="WindowsLook/StaticFrameBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -1291,29 +1333,49 @@
         <NamedArea name="ItemRenderingAreaHVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="WindowsLook" image="StaticFrameTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="RightEdge" />
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" offset="-16" type="BottomEdge" />
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="WindowsLook/StaticFrameLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="WindowsLook/StaticFrameTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <UnifiedDim offset="-16" scale="1" type="RightEdge" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim offset="-16" scale="1" type="BottomEdge" />
                 </Dim>
             </Area>
         </NamedArea>
-        <Child  type="WindowsLook/HorizontalScrollbar" nameSuffix="__auto_hscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" offset="-16" type="Width" /></Dim>
-                <Dim type="Height" ><AbsoluteDim value="16" /></Dim>
+        <Child nameSuffix="__auto_hscrollbar__" type="WindowsLook/HorizontalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim offset="-16" scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <AbsoluteDim value="16" />
+                </Dim>
             </Area>
             <VertAlignment type="BottomAligned" />
         </Child>
-        <Child  type="WindowsLook/VerticalScrollbar" nameSuffix="__auto_vscrollbar__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><AbsoluteDim value="16" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" offset="-16" type="Height" /></Dim>
+        <Child nameSuffix="__auto_vscrollbar__" type="WindowsLook/VerticalScrollbar">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <AbsoluteDim value="16" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim offset="-16" scale="1" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
@@ -1322,18 +1384,26 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="WindowsLook" image="StaticFrameTopLeft" />
-                <Image type="TopRightCorner" imageset="WindowsLook" image="StaticFrameTopRight" />
-                <Image type="BottomLeftCorner" imageset="WindowsLook" image="StaticFrameBottomLeft" />
-                <Image type="BottomRightCorner" imageset="WindowsLook" image="StaticFrameBottomRight" />
-                <Image type="LeftEdge" imageset="WindowsLook" image="StaticFrameLeft" />
-                <Image type="RightEdge" imageset="WindowsLook" image="StaticFrameRight" />
-                <Image type="TopEdge" imageset="WindowsLook" image="StaticFrameTop" />
-                <Image type="BottomEdge" imageset="WindowsLook" image="StaticFrameBottom" />
-                <Image type="Background" imageset="WindowsLook" image="Background" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="WindowsLook/StaticFrameTopLeft" />
+                <Image component="TopRightCorner" name="WindowsLook/StaticFrameTopRight" />
+                <Image component="BottomLeftCorner" name="WindowsLook/StaticFrameBottomLeft" />
+                <Image component="BottomRightCorner" name="WindowsLook/StaticFrameBottomRight" />
+                <Image component="LeftEdge" name="WindowsLook/StaticFrameLeft" />
+                <Image component="RightEdge" name="WindowsLook/StaticFrameRight" />
+                <Image component="TopEdge" name="WindowsLook/StaticFrameTop" />
+                <Image component="BottomEdge" name="WindowsLook/StaticFrameBottom" />
+                <Image component="Background" name="WindowsLook/Background" />
             </FrameComponent>
         </ImagerySection>
